# Class TCustomCommandHandler

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFCommandHandler

## Declaration

`type TCustomCommandHandler = class(TCefCommandHandlerOwn)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedOwn
- TCefCommandHandlerOwn
- TCustomCommandHandler

## Overview

### Fields

| `FEvents: Pointer;`

### Methods

| `function OnChromeCommand(const browser: ICefBrowser; command_id: integer; disposition: TCefWindowOpenDisposition): boolean; override;`
| `function OnIsChromeAppMenuItemVisible(const browser: ICefBrowser; command_id: integer): boolean; override;`
| `function OnIsChromeAppMenuItemEnabled(const browser: ICefBrowser; command_id: integer): boolean; override;`
| `function OnIsChromePageActionIconVisible(icon_type: TCefChromePageActionIconType): boolean; override;`
| `function OnIsChromeToolbarButtonVisible(button_type: TCefChromeToolbarButtonType): boolean; override;`
| `procedure RemoveReferences; override;`
| `constructor Create(const events : IChromiumEvents); reintroduce; virtual;`
| `destructor Destroy; override;`

## Description

### Fields

| `FEvents: Pointer;`
This item has no description.

### Methods

| `function OnChromeCommand(const browser: ICefBrowser; command_id: integer; disposition: TCefWindowOpenDisposition): boolean; override;`
This item has no description. Showing description inherited from ICefCommandHandler.OnChromeCommand. Called to execute a Chrome command triggered via menu selection or keyboard shortcut. Use the cef_id_for_command_id_name() function for version-safe mapping of command IDC names from cef_command_ids.h to version-specific numerical |command_id| values. |disposition| provides information about the intended command target. Return true (1) if the command was handled or false (0) for the default implementation. For context menu commands this will be called after ICefContextMenuHandler.OnContextMenuCommand. Only used with Chrome style.

| `function OnIsChromeAppMenuItemVisible(const browser: ICefBrowser; command_id: integer): boolean; override;`
This item has no description. Showing description inherited from ICefCommandHandler.OnIsChromeAppMenuItemVisible. Called to check if a Chrome app menu item should be visible. Use the cef_id_for_command_id_name() function for version-safe mapping of command IDC names from cef_command_ids.h to version-specific numerical |command_id| values. Only called for menu items that would be visible by default. Only used with Chrome style.

| `function OnIsChromeAppMenuItemEnabled(const browser: ICefBrowser; command_id: integer): boolean; override;`
This item has no description. Showing description inherited from ICefCommandHandler.OnIsChromeAppMenuItemEnabled. Called to check if a Chrome app menu item should be enabled. Use the cef_id_for_command_id_name() function for version-safe mapping of command IDC names from cef_command_ids.h to version-specific numerical |command_id| values. Only called for menu items that would be enabled by default. Only used with Chrome style.

| `function OnIsChromePageActionIconVisible(icon_type: TCefChromePageActionIconType): boolean; override;`
This item has no description. Showing description inherited from ICefCommandHandler.OnIsChromePageActionIconVisible. Called during browser creation to check if a Chrome page action icon should be visible. Only called for icons that would be visible by default. Only used with Chrome style.

| `function OnIsChromeToolbarButtonVisible(button_type: TCefChromeToolbarButtonType): boolean; override;`
This item has no description. Showing description inherited from ICefCommandHandler.OnIsChromeToolbarButtonVisible. Called during browser creation to check if a Chrome toolbar button should be visible. Only called for buttons that would be visible by default. Only used with Chrome style.

| `procedure RemoveReferences; override;`
This item has no description. Showing description inherited from ICefCommandHandler.RemoveReferences. Custom procedure to clear all references.

| `constructor Create(const events : IChromiumEvents); reintroduce; virtual;`
This item has no description.

| `destructor Destroy; override;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.